# -*- coding: utf-8 -*-

# Copyright :copyright: 2019 by IBPort. All rights reserved.
# @Author: Neal Wong
# @Email: ibprnd@gmail.com

import datetime

import shopify

def get_current_release():
    current_version = None

    shopify_version = [int(v) for v in shopify.VERSION.split('.')]
    if shopify_version[0] <= 4:
        return current_version

    today = datetime.date.today()
    version = None
    for version_str in list(shopify.ApiVersion.versions.keys()):
        if '-' not in version_str:
            continue

        year, month = [int(k) for k in version_str.split('-')]
        release_date = datetime.date(year, month, 1)
        if release_date > today:
            continue

        if version is None:
            version = release_date
            continue

        if release_date > version:
            version = release_date

    if version:
        current_version = version.strftime('%Y-%m')

    return current_version
